#ifndef JTPROGRESSMETER_H
#define JTPROGRESSMETER_H

#include <QPushButton>
#include <QTime>
class QColor;
class QPaintEvent;
class QPainter;
class QTimer;
class QPolygon;

class QjtProgressMeter : public QPushButton
{
Q_OBJECT
	double m_elapsedTimeFraction;
	QTime m_remainingTime;
	bool m_isWorking;

	/*color settings*/
	QColor m_backgroundWorkTime;
	QColor m_workedTime;
	QColor m_overtimeTime;
	QColor m_backgroundOverTime;


public:
	QjtProgressMeter(QWidget* parent = 0);
	QSize minimumSizeHint() const;
	void timeout( double elapsedTimeFraction, QTime remainingTime, bool isWorking );

protected:
	void paintEvent(QPaintEvent* event);
	
private:
	void drawMeter(QPainter *painter, double radius, double border);
	QPolygon anglePolygon(double angle, double radius);
};

#endif // PROGRESSMETER_H
