#include <QtGui>

#include "jtapplicationwidget.h"


QjtApplicationWidget::QjtApplicationWidget( const bool hideOnStart, const QString reportPath,
	/*const QTime autocloseTime,*/ QWidget *parent) : QWidget(parent)
{
	m_hideOnStartCheckBox = new QCheckBox("Reduce to system tray on start.", this);
	m_hideOnStartCheckBox->setChecked( hideOnStart );

	QLabel *reportPathLabel = new QLabel(tr("Choose where to save the report file"), this);
	m_reportPathEdit = new QLineEdit( reportPath, this);
	QToolButton *saveFileBtt = new QToolButton(this);
	//saveFileBtt->setIconSize( QSize( 10, 10 ) );
	saveFileBtt->setIcon( style()->standardIcon( QStyle::SP_DirOpenIcon ) );
/*
	QLabel *autocloseLabel1 = new QLabel(tr("Auto-close after "), this);
	QLabel *autocloseLabel2 = new QLabel(tr("overtime."), this);
	m_autocloseEdit = new QTimeEdit( autocloseTime, this);
	m_autocloseEdit->setDisplayFormat("hh:mm");
	m_autocloseEdit->setMaximumWidth(60);
*/

	/*layout*/
	QVBoxLayout *vLayout = new QVBoxLayout(this);
	vLayout->addWidget( m_hideOnStartCheckBox );
	vLayout->addStretch();
	vLayout->addWidget( reportPathLabel );
		QHBoxLayout *hLayout1 = new QHBoxLayout();
		hLayout1->addWidget( m_reportPathEdit );
		hLayout1->addWidget( saveFileBtt );
	vLayout->addLayout( hLayout1 );
/*
	vLayout->addStretch();
		QHBoxLayout *hLayout2 = new QHBoxLayout();
		hLayout2->addWidget( autocloseLabel1 );
		hLayout2->addWidget( m_autocloseEdit );
		hLayout2->addWidget( autocloseLabel2 );
	vLayout->addLayout( hLayout2 );
*/
	vLayout->addStretch();

	/*connection*/
	connect( saveFileBtt, SIGNAL( clicked() ), this, SLOT( showFileDialog() ) );
}



/*************************************************
 * private SLOT
 *************************************************/
/**
 * display a FileDialog to know where to save the report.
 */
void QjtApplicationWidget::showFileDialog()
{
	 QString newReportPath = QFileDialog::getSaveFileName(this, tr("Save Report"),
                            		m_reportPathEdit->text(),
                            		tr("*.csv"));
	m_reportPathEdit->setText( newReportPath );
}

