#include <QtGui>

#include "jtschedulewidget.h"

QjtScheduleWidget::QjtScheduleWidget( QTime *arrivTimes, QTime *pauseTimes, QTime *workingTimes, QWidget *parent ) : QWidget(parent)
{
	QLabel *arrival = new QLabel( tr("Arrival") );
	QLabel *pause = new QLabel( tr("Pause") );
	QLabel *work = new QLabel( tr("Work time") );

	m_daysLabel = new QLabel[7];
	m_arrivTimeEdit = new QTimeEdit[7];
	m_pauseTimeEdit = new QTimeEdit[7];
	m_workingTimeEdit = new QTimeEdit[7];

	QGridLayout *gLayout = new QGridLayout(this);
	gLayout->addWidget( arrival, 0, 1);
	gLayout->addWidget( pause, 0, 2);
	gLayout->addWidget( work, 0, 3);

	for (short i=0; i < 7; ++i)
	{
		m_daysLabel[i].setText( QDate::shortDayName(i+1) );
		gLayout->addWidget( &m_daysLabel[i], i+1, 0);

		m_arrivTimeEdit[i].setTime( arrivTimes[i] );
		m_arrivTimeEdit[i].setDisplayFormat("hh:mm");
		gLayout->addWidget( &m_arrivTimeEdit[i], i+1, 1);

		m_pauseTimeEdit[i].setTime( pauseTimes[i] );
		m_pauseTimeEdit[i].setDisplayFormat("hh:mm");
		gLayout->addWidget( &m_pauseTimeEdit[i], i+1, 2);

		m_workingTimeEdit[i].setTime( workingTimes[i] );
		m_workingTimeEdit[i].setDisplayFormat("hh:mm");
		gLayout->addWidget( &m_workingTimeEdit[i], i+1, 3);
	}
}


QjtScheduleWidget::~QjtScheduleWidget()
{
	delete[] m_daysLabel;
	delete[] m_workingTimeEdit;
	delete[] m_arrivTimeEdit;
	delete[] m_pauseTimeEdit;
}


